
/* tooplate-style.css */

/*
  1. Use a more-intuitive box-sizing model.
*/
*, *::before, *::after {
  box-sizing: border-box;
}
/*
  2. Remove default margin
*/
* {
  margin: 0;
  line-height: calc(1em + 0.5rem);
}
/*
  Typographic tweaks!
  3. Add accessible line-height
  4. Improve text rendering
*/
body {
  line-height: 1.5;
  -webkit-font-smoothing: antialiased;
}
/*
  5. Improve media defaults
*/
img, picture, video, canvas, svg {
  display: block;
  max-width: 100%;
}
/*
  6. Remove built-in form typography styles
*/
input, button, textarea, select {
  font: inherit;
}
/*
  7. Avoid text overflows
*/
p, h1, h2, h3, h4, h5, h6 {
  overflow-wrap: break-word;
  
}
/*
  8. Create a root stacking context
*/
#root, #__next {
  isolation: isolate;
}

/* Active */

html[data-useragent*='MSIE 10.0'] body .my-class{
        margin-left: -0.4em;
    }
/*  html { overflow-x: hidden; } */

body {
    margin: 0;
    padding: 0;
    font-family: 'Dosis', Arial, Helvetica, sans-serif;
    font-size: 18px;
    line-height: 2em;
 /*    overflow-x: hidden;*/ 
	 background-color: transparent;
}

ul {
    padding: 0;
    margin: 0;
}

nav > ul > li { list-style: none; }
a {
    text-decoration: none;
    transition: all 0.3s ease;
    color: #38CCCC;
}
p { 
    line-height: 1.8; 
    margin-top: 0;
}
a:hover { color: #FF3100; }

.tm-about-text a { color: #9F6; }

.tm-about-text {
    flex: 1;
    max-width: 50%; /* Adjust the width of the text column */
    margin: 0 20px; /* Add margin between image and text */
}

h1, h2, p, i, address, .tm-text-white { color: #19154C; margin-top: 0; }	/* Active */

.tm-link-gray { color: #999999; }
.tm-link-white { color: white; }								/* Active */
.tm-site-footer { margin-top: 15px; }
.tm-footer { 
    color: #999999; 
    text-align: center;
}

.tm-footer-text {
    padding: 10px 65px 10px 20px;
    display: inline-block;
}

.tm-footer-link { color: white; }
.tm-list-item {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-top: 20px;
}

.tm-list-item-2 { align-items: flex-start; }

.tm-list-item-img {
    margin-right: 20px;
    width: 160px;
    height: 160px;
    background-color: #099;
}

.tm-list-item-img-big {
    margin-right: 25px;
    width: 200px;
    height: 200px;
}

.tm-list-item-text {
    padding: 20px 25px;
    flex: 1;
}

.tm-list-item-text-2 { flex: 1; }

.tm-list-item-name {
    display: flex;
    justify-content: space-between;
    margin-top: 0;
}

.tm-list-item-price { color: #96FEFF; }
.tm-container { 
				padding: 30px;
				padding-top: 0.1em;
				}			/* Active */

.tm-row {									/* Active */
    display: flex;
    justify-content: space-between;
}

.tm-left,									/* Active */
.tm-right { 								/* Active */
    width: 50%;
}


.tm-container-fluid { 								/* Active */
    width: 100%;
    max-width: 970px;
    box-sizing: border-box;
    margin: 0 auto;
    padding: 60px 15px;
}

.tm-site-header { height: 170px; 							/* Active */
				align-items: center;
				justify-content: center;
				flex-direction: column;
				background-color: white;
				color: #099 !important;
				width: 100%;
				display: flex;				
}

.tm-site-logo { margin-right: 30px; margin-top: 20px; } 	/* Active */

.tm-left-inner {								/* Active */
    max-width: 500px;
    width: 100%;
	position: fixed;
}
.tm-site-nav {											/* Active */
    text-align: center; /* Center-align the menu items */
}
.tm-site-nav-ul {									/* Active */
    display: flex;
	overflow: auto
	top: 0;
    left: 0;
    right: 0;
    flex-wrap: wrap;
    justify-content: space-between;
	 z-index: 2;
	 box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1); /* Optional: Add a shadow to the menu */
}

.tm-page-nav-item { 									/* Active */
	margin-top: 20px; 
	 flex-basis: calc(50% - 20px); /* Each menu item takes 50% minus 20px space */
	}

.tm-page-link {									/* Active */
    min-width: 100%;
    height: 100%;
    background-color: white;
    color: #099;
    display: flex;
    text-decoration: none;
    align-items: center;      
    font-size: 1.2rem;
}

.tm-page-link:hover,
.tm-page-link.active {
    background-color: #099;
    color: white;

}

.tm-page-link-icon {
    margin-right: 25px;
    margin-left: 25px;
    font-size: 1.5rem;
}

.tm-tab-content { animation: fadeEffect 1s; }
.tm-page-content { animation: fadeEffect 1s; display: none;} 		/* Active */




.tm-site-name {											/* Active */
    font-size: 2.2rem;
    font-style: italic;    
}
.tm-flex-center { 								/* Active */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
	padding-left: 10px;
	padding-bottom: 10px;
}
.tm-about { 								/* Active */
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    text-align: center;
}

.tm-about-inner {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    max-width: 1000px; /* Adjust the max width as needed */
    margin: 0 auto;
}

.tm-about-image {
    flex: 1;
    max-width: 100%; /* Image width will scale with the box width */
    margin: 0 20px; /* Add margin between image and text */
}

.tm-about-image img {
    max-width: 100%;
    height: auto;
}
.tm-contact {								/* Active */
    display: flex;
	 z-index: 999;
}

/* About */
.tm-about-box-1 { padding: 40px 30px 50px 0; }
.tm-about-box-2 { padding: 50px 40px 30px; }
.tm-about-header { margin-left: 220px; }

.tm-about-content { 								/* Active */
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.tm-about-content img {
    max-width: 100%; /* Image width will scale with the box width */
    height: auto;
    margin-bottom: 20px; /* Add margin between image and text */
}

.tm-about-content h2 {
    margin: 0; /* Remove default margin for h2 */
}

.tm-about-content p {
    margin: 0; /* Remove default margin for paragraphs */
}

/* Special */
.tm-special-items {
    display: flex;
    flex-wrap: wrap;
    margin: -30px -10px 0;
}

.tm-special-item {
    max-width: 320px;
    margin: 30px 10px;
}

.tm-special-item-title { font-size: 1.4rem; }
.tm-special-item-description { padding: 25px 30px; }



/* Contact */
.tm-contact { flex-direction: row-reverse;
z-index: 999; }
.tm-about > div { flex: 1 1; }

.tm-contact-form-container,								/* Active */
.tm-contact-info {
    width: 40%;
	z-index: 999;
}

.tm-contact-info { padding-top: 20px; }

.tm-contact-header {								/* Active */
    padding-left: 50px;
    padding-right: 50px;
	width: 20%;
}

.tm-contact { padding: 50px 20px; }

.tm-contact > div {
    padding-left: 0.1em;
    padding-right: 0.1em;
    box-sizing: border-box;
	

}

input,
textarea,
button {
    display: block;
}

input,
textarea {
    font-family: 'Dosis', Arial, Helvetica, sans-serif;
    font-size: 1rem;
    background: transparent;
    border: 0;
    border-bottom: 1px solid white;
    color: white;
    padding: 15px 0;
    margin-top: 5px;
    margin-bottom: 5px;
    width: 100%;
}

::-webkit-input-placeholder { color: white; } /* Edge */
:-ms-input-placeholder { color: white; } /* Internet Explorer 10-11 */
::placeholder { color: white; }
.tm-right { margin-right: 0; margin-left: auto; } 				/* Active */

.tm-btn-submit {
    background: none;
    color: white;
    font-size: 1rem;
    border: 0;
    cursor: pointer;
    transition: all 0.3s ease;
}

.tm-btn-submit:hover { color: #000000; }
.tm-align-right {
    display: block;
    margin-left: auto;
    margin-right: 0;
}
.tm-social-link {
    width: 40px;
    height: 40px;
    margin-right: 15px;
    background-color: white;
    display: flex;
    align-items: center;
    justify-content: center;
}

.tm-social-link i {
    color: #99CCCC;
    transition: all 0.3s ease;
}

.tm-social-link:hover i.fa-facebook { color: #3b5998; }
.tm-social-link:hover i.fa-twitter { color: #00acee; }
.tm-social-link:hover i.fa-instagram { color: #3f729b; }
.tm-social-link:hover i.fa-facebook { color: #3b5998; }
.tm-social-link:hover i.fa-yelp { color: #FE1A1B; }
.tm-social-link:hover i.fa-linkedin { color: #0A66C2; }

.tm-flex { display: flex; }
address { font-style: normal; }

.filters-button-group { 							/* Active */
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex; /* Use flex display */
    justify-content: space-between; /* Space between buttons */
    flex-wrap: wrap; /* Wrap buttons to the next line when they don't fit */
}

.filters-button-group li {
    flex: 0 1 calc(20% - 2px); /* Flex 20% width and allow 2px for spacing */
    text-align: center; /* Center text */
    margin-right: 0; /* Remove right margin */
    margin-bottom: 2px; /* Add bottom margin for spacing */
    border: 1px double; /* Add border to separate buttons */
    border-radius: 5px;
    padding: 5px;
    cursor: pointer; /* Add pointer cursor for interactivity */
}

.filters-button-group li a.active { color: #F96699; }
.tm-gallery { margin: -10px; } 						/* Active */



.tm-gallery-item {						/* Active */
    border-radius: 12px;
    margin: 10px;
    overflow: none;
	flex-grow: 1;
}

.tm-gallery-item a {
    display: block;
    line-height: 0;
	flex-grow: 1;
}

.tm-gallery-item img {
    width: 220px;
    height: 220px;  
flex-grow: 1;	
}


/* ------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------------ */


.tm-gallery {margin: -10px;display: flex;  flex-wrap: wrap;}

.tm-gallery-item {border-radius: 12px;margin: 10px;overflow: none;flex-grow: 1;}

.tm-gallery-item a {display: block;line-height: 0;flex-grow: 1;}

.tm-gallery-item img {width: 100%;height: 0;padding: 5%;background: rgba(0, 0, 0, 0.2);overflow: hidden;flex-grow: 1;}

.tm-gallery-section {text-align: center;position: relative;top: 80px;margin-bottom: 2px;z-index: 1;margin-left: 0;transition: margin-left 0.5s ease;}












/* ------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------------ */



.tm-gallery-section {								/* Active */
    text-align: center;
	position: relative;
    top: 80px; /* Adjust this value as needed to match your menu's height */
	margin-bottom: 2px; /* Adjust the value for larger screens */
    z-index: 1; /* Ensure the section is above other elements */
	margin-left: 0; /* Initial margin */
    transition: margin-left 0.5s ease; /* Add a smooth transition */
  }

/* Adjust spacing and button flex */
.filters-button-group {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex; /* Use flex display */
    justify-content: space-between; /* Space between buttons */
    flex-wrap: wrap; /* Wrap buttons to the next line when they don't fit */
}
/* ------------------------------------------------------------------------------------------------------ */
.filters-button-group li {
    flex: 0 1 calc(20% - 2px); /* Flex 20% width and allow 2px for spacing */
    text-align: center; /* Center text */
    margin-right: 0; /* Remove right margin */
    margin-bottom: 2px; /* Add bottom margin for spacing */
    border: 1px double; /* Add border to separate buttons */
    border-radius: 5px;
    padding: 5px;
    cursor: pointer; /* Add pointer cursor for interactivity */
}
/* ------------------------------------------------------------------------------------------------------ */
.filters-button-group li:last-child {
    margin-bottom: 0; /* Remove bottom margin for the last button */
}
/* ------------------------------------------------------------------------------------------------------ */
/* Other styles remain the same */
.tm-our-work-text { 								/* Active */
    background-color: #38CCCC;
    border-radius: 5px;
    color: white;
    padding: 5px 5px;
    margin-bottom: 2em;
    margin-top: 2em;
}
/* ------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------------ */
/* Style for headings in menu item content */
.tm-page-content h2 { 								/* Active */
    color: #333;
}
/* ------------------------------------------------------------------------------------------------------ */
/* Style for text in menu item content */
.tm-page-content p { 								/* Active */
    color: #666;
}
/* ------------------------------------------------------------------------------------------------------ */
/* Add a dynamic close button */
.tm-page-content .tm-close-button { 								/* Active */
    position: absolute;
    top: 2em;
     cursor: pointer;
    color: #000;
	background-color: #fff;
     padding: 1px 1px;
    font-size: 20px;
	z-index: 999;
	margin-left: 780px
}
/* ------------------------------------------------------------------------------------------------------ */


/* Link Pop Styles */
.pop {												/* Active */
    font-weight: bold;
    text-decoration: underline;
	text-decoration-thickness: 3px;
    cursor: pointer;
}
/* ------------------------------------------------------------------------------------------------------ */
.pop:hover {
    color: #FFCC00;
}
/* ------------------------------------------------------------------------------------------------------ */
/* The Modal (background) */
.modal {										/* Active */
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    left: auto;
    width: auto;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.7);
    z-index: 999;
	overflow-y: auto; /* Enable scrolling for modal content */
}

/* Modal Content */
.modal-content {								/* Active */
    position: relative;
    background-color: #f2f2f2;
    border: 1px solid #000;
    border-radius: 15px;
    padding: 20px;
    max-width: 650px; /* Set the max-width to match the width of the "Staging Cards" section */
    margin: 0 auto; /* Center the modal horizontally */
    top: 50%; /* Center the modal vertically */
    transform: translateY(-50%); /* Center the modal vertically */
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
}

/* Close Button */
.close {
    position: sticky;
    top: 10px;
    right: 10px;
    cursor: pointer;
	color: red;
}
/* ------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------------ */
.tm-text-primary { color: #3CC; }

.tm-p-50 { padding: 10px; } 								/* Active */
.tm-mb-0 { margin-bottom: 0; }
.tm-mb-20 { margin-bottom: 20px; }
.tm-mb-30 { margin-bottom: 30px; }
.tm-mb-40 { margin-bottom: 10px; } 								/* Active */
.tm-mb-50 { margin-bottom: 50px; padding-left: 20px; padding-right: 20px;}	/* Active */
.tm-mb-80 { margin-bottom: 80px; } 								/* Active */
.tm-bgcolor-1 { background-color: #FFF; }						/* Active */
.tm-bgcolor-2 { background-color: #38CCCC; } 					/* Active */
.tm-bgcolor-3 { background-color: #99CCCC; }								/* Active */

.tm-img-right { 
    margin-left: 30px; 
    margin-right: 0;
}
.tm-border-rounded { 								/* Active */
		border-radius: 15px; 
		height: fit-content;
		margin-bottom: 2em;
    margin-top: 2em;
		}
		
/* ------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------------ */
@keyframes fadeEffect {
    from { opacity: 0.3; }
    to { opacity: 1; }
}
@mixin ie-only {
  @media all and (-ms-high-contrast: none), (-ms-high-contrast: active) {
    @content;
  }
}
@media screen and (min-width:0\0) and (min-resolution:+72dpi), \0screen\,screen\9 {
   .selector { rule: value };
}
@media screen\9
    @import ie_styles
@media screen\0
    @import ie_styles
	@supports (-ms-ime-align:auto)
    @import ie_styles
@supports (-ms-accelerator:auto)
    @import ie_style
	
/* ------------------------------------------------------------------------------------------------------ */
/* ------------------------------------------------------------------------------------------------------ */

/* ------------------------------------------------------------------------------------------------------ */
/* For screens between 992px and 1130px */
@media (max-width: 1130px) and (min-width: 992px) {
    .tm-left-inner { max-width: 380px; }
    .tm-site-name { font-size: 2.6rem; }
    .tm-site-logo { margin-right: 20px; }
    .tm-page-link { width: 100%; }
    .tm-left { width: 45%; }
    .tm-right { width: 55%; }
}

/* For screens up to 991px */
@media (max-width: 991px) {
    .tm-left-inner { position: static; }
    .tm-left, .tm-right { width: 100%; }
    .tm-left { margin-bottom: 50px; }
    .tm-row { display: block; }
    .tm-gallery-section {
        display: flex;
        flex-direction: column;
    }
    .tm-gallery-section .tm-flex-l {
        max-width: 100%;
    }
    .tm-our-work-text {
        text-align: center;
    }
    .tm-gallery-section .filters-button-group {
        text-align: center;
        margin: 0 auto;
    }
}

/* For screens up to 940px */
@media (max-width: 940px) {
    .filters-button-group { text-align: left; }
}

/* For screens over 940px */
@media (min-width: 940px) {
    .tm-gallery-section {
        margin-left: 20px;
    }
}

/* For screens up to 768px */
@media (max-width: 768px) {
    .menu-container {
        flex-direction: column;
        align-items: center;
    }
    .tm-container-fluid {
        margin-top: 600px;
    }
    .tm-site-nav-ul {
        text-align: center;
        display: flex;
        z-index: 1000;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        flex-direction: column;
        align-items: center;
    }
    .tm-page-nav-item {
        margin: 5px;
        flex-basis: 100%;
    }
}

/* For screens over 768px */
@media (min-width: 769px) {
    .menu-container {
        display: flex;
        flex-direction: column;
        flex-wrap: wrap;
        justify-content: center;
        align-items: center;
    }
    .tm-site-nav-ul {
        text-align: left;
        display: flex;
        z-index: 1000;
        flex-wrap: wrap;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }
    .tm-call-menu-item {
        width: 25.5em !important;
    }
    .tm-page-nav-item {
        margin: 5px;
    }
}

/* For screens up to 768px */
@media (max-width: 768px) {
    .modal-content {
        max-width: 95%;
        max-height: 95%;
        overflow-y: auto;
    }
    .tm-page-nav-item {
        flex-basis: 100%;
    }
}

/* For screens up to 680px */
@media (max-width: 680px) {
    .tm-contact { flex-direction: column; }
    .tm-contact-form-container,
    .tm-contact-info,
    .tm-contact-header {
        width: 100%;
    }
    .tm-contact-form-container { margin-bottom: 20px; }
    .tm-contact-info { margin-bottom: 30px; }
}

/* For screens up to 574px */
@media (max-width: 574px) {
    .tm-site-nav-ul {
        display: block;
        z-index: 1000;
        box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    }
}

/* For screens up to 545px */
@media (max-width: 545px) {
    .tm-about { flex-direction: column; }
}

/* For screens up to 545px */
@media (max-width: 545px) {
    .tm-page-content {
        background-color: #f4f4f4;
        padding: 20px;
        margin: 10px;
        border-radius: 10px;
        text-align: left;
        max-width: 450px;
        margin-left: auto;
        margin-right: auto;
        position: relative;
        left: 0;
        flex-direction: column;

    }
}

/* For screens between 501px and 550px */
@media (max-width: 660px) and (min-width: 431px) {
    .tm-list-item-img-big {
        width: 160px;
        height: 160px;
    }
    .tm-about-header { margin-left: 180px; }

    .tm-about-header { margin-left: 0; }
    .tm-list-item-2 { flex-direction: column; }
    .tm-about-box-1 { padding-left: 30px; }
    .tm-list-item-img-big {
        margin-right: 0;
        margin-bottom: 25px;
    }

    .tm-gallery-item {
        width: 48%;
        margin: 1%;
        height: auto;
        z-index: 2;
    }
    .tm-gallery-item img {
        width: 100%;
        height: auto;
    }
}

/* For screens over 479px */
@media (min-width: 431px) {
    .tm-call-menu-item {
        width: 25.5em;
    }
    .staging-cards-group {
        display: inline-block;
        width: 33.33%;
        float: left;
    }
}
/* For screens under 430px iPhone 14pro max*/
/* For screens under 479px */
@media (max-width: 430px) {
    .staging-cards-group {
        display: block;
    }
	.quote-iframe{
		height: 875px;
	}
    .tm-site-name { font-size: 2.6rem; }
    .tm-site-logo { margin-right: 20px; }
    .tm-list-item {
        flex-direction: column;
        margin-top: 40px;
    }
    .tm-list-item-img {
        margin-right: 0;
        margin-bottom: 15px;
    }
    .tm-gallery-item {
        width: 48%;
        margin: 1%;
        height: auto;
        z-index: 2;
    }
    .tm-gallery-item img {
        width: 100%;
        height: auto;
    }

    * {
        box-sizing: border-box;
    }
    body {
        background-image: linear gradient(#000);
    }
    main {
        height: 200vmin;
    }
    .tm-mb-50 {
         width: 100%;
    /*    margin: 1%; */  
        height: auto;
    }
}

/* -------------------For Mobile Devices – 320px — 480px--------------- */
/* -------------------iPads and Tablets – 481px — 768px-------------- */
/* -------------------Laptops and small screen – 769px — 1024px---------- */
/* -------------------Large screens and Desktops – 1025px — 1200px------------ */
/* -------------------TV and Extra Large Screens – 1201px and more------------- */
/* ------------------------------------------------------------------------------------------------------ */
/* Latest working */
 /* Latest working */
 /* Latest working */
 /* Latest working */
 /* Latest working */
 


 /* Latest working */
 /* Latest working */
 /* Latest working */
 /* Latest working */
 

/* Latest working */
 /* Latest working */
 /* Latest working */
 /* Latest working */
 /* Latest working */
 


 /* Latest working */
 /* Latest working */
 /* Latest working */
 
 
 
 
 
 /* not in HTML 
 .tm-flex-l
 .tm-about-content
 
 
 
 
 
 
 
 
 
 */